window.Gleam.initSearch([{"doc":"javascript_mutable_reference","title":"javascript_mutable_reference","content":"# javascript_mutable_reference\n\nMutable references for Gleam JavaScript. This is a library you probably don&#39;t\nwant to use! Stick to immutable patterns unless you really really need to.\n\n[![Package Version](https://img.shields.io/hexpm/v/javascript_mutable_reference)](https://hex.pm/packages/javascript_mutable_reference)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/javascript_mutable_reference/)\n\n```sh\ngleam add javascript_mutable_reference@1\n```\n```gleam\nimport javascript_mutable_reference\n\npub fn main() {\n  // Create a new mutable reference\n  let ref = mutable_reference.new(42)\n\n// Get the inner value from it\n  mutable_reference.get(ref)\n  // -&gt; 42\n\n  // Mutate the reference to contain a new value\n  mutable_reference.set(ref, 3)\n  \n  mutable_reference.get(ref)\n  // -&gt; 3\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/javascript_mutable_reference&gt;.\n","url":"index.html"},{"doc":"javascript/mutable_reference","title":"MutableReference","content":"pub type MutableReference(value)\n\n\nSynonyms:\njavascript/mutable_reference.MutableReference\njavascript/mutable_reference MutableReference","url":"javascript/mutable_reference.html#MutableReference"},{"doc":"javascript/mutable_reference","title":"get","content":"pub fn get(value: MutableReference(a)) -&gt; a\n\nSynonyms:\njavascript/mutable_reference.get\njavascript/mutable_reference get","url":"javascript/mutable_reference.html#get"},{"doc":"javascript/mutable_reference","title":"is_same_reference","content":"pub fn is_same_reference(\n  left: MutableReference(a),\n  right: MutableReference(a),\n) -&gt; Bool\n\nSynonyms:\njavascript/mutable_reference.is_same_reference\njavascript/mutable_reference is_same_reference","url":"javascript/mutable_reference.html#is_same_reference"},{"doc":"javascript/mutable_reference","title":"new","content":"pub fn new(value: a) -&gt; MutableReference(a)\n\nSynonyms:\njavascript/mutable_reference.new\njavascript/mutable_reference new","url":"javascript/mutable_reference.html#new"},{"doc":"javascript/mutable_reference","title":"set","content":"pub fn set(value: MutableReference(a), b: a) -&gt; a\n\nSynonyms:\njavascript/mutable_reference.set\njavascript/mutable_reference set","url":"javascript/mutable_reference.html#set"},{"doc":"javascript/mutable_reference","title":"update","content":"pub fn update(ref: MutableReference(a), f: fn(a) -&gt; a) -&gt; a\n\nSynonyms:\njavascript/mutable_reference.update\njavascript/mutable_reference update","url":"javascript/mutable_reference.html#update"},{"doc":"javascript/mutable_reference","title":"javascript/mutable_reference","content":"","url":"javascript/mutable_reference.html"}]);